﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            csehir.Items.Add("Adana");
            csehir.Items.Add("Ankara");
            csehir.Items.Add("Hatay");
            csehir.Items.Add("İstanbul");
            csehir.Items.Add("İzmir");
            csehir.Text = "Seçiniz";

            radioButton1.Checked = true;
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            // csehir.SelectedIndex > -1 dememizin sebebi il secimi yapildi mi

            if (tadsoyad.Text.Length > 0 && csehir.SelectedIndex > -1)
            {
                ladsoyad.Items.Add(tadsoyad.Text);
                lsehir.Items.Add(csehir.Text); // SelectedItem da olabilir

                if (radioButton1.Checked)
                    lcinsiyet.Items.Add("Bay"); // bay yerine radioButton1.Text
                else
                    lcinsiyet.Items.Add(radioButton2.Text);

                tadsoyad.Clear();
                csehir.Text = "Seçiniz";
                radioButton1.Checked = true;

            }
            else
                MessageBox.Show("Bilgi girişini tam olarak gerçekleştiriniz!");    
        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = ladsoyad.SelectedIndex; // secilen elemanin indis bilgisini al

            if (secilen > -1) // secilen bir eleman var ise
            {
                ladsoyad.Items.RemoveAt(secilen); 
                lsehir.Items.RemoveAt(secilen);
                lcinsiyet.Items.RemoveAt(secilen);
            }

        }

        private void bgoster_Click(object sender, EventArgs e)
        {
            int secilen = ladsoyad.SelectedIndex;

            if (secilen > -1)
                MessageBox.Show("Ad Soyad: " + ladsoyad.Items[secilen] 
                    + "\nŞehir: " + lsehir.Items[secilen] 
                    + "\nCinsiyet: " + lcinsiyet.Items[secilen]);
            else
                MessageBox.Show("Listeden seçim yapınız!");
        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void ladsoyad_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListBox lb = (ListBox)sender; // olayi tetikleyen listboxi getir

            ladsoyad.SelectedIndex = lb.SelectedIndex;
            lsehir.SelectedIndex = lb.SelectedIndex;
            lcinsiyet.SelectedIndex = lb.SelectedIndex;
        }
    }
}
